Package weka.gui.visualize

# Interface Plot2DCompanion

public interface Plot2DCompanion
Interface for classes that need to draw to the Plot2D panel *before* Plot2D renders anything (eg. VisualizePanel may need to draw polygons etc.)

Version:
  $Revision: 1.5 $
Author:
  Mark Hall (mhall@cs.waikato.ac.nz)

## Method Summary

Modifier and Type
Method
Description
`void`
`prePlot(Graphics gx)`
Something to be drawn before the plot itself

## Method Details

### prePlot

void prePlot(Graphics gx)
Something to be drawn before the plot itself

Parameters:
  `gx` - the graphics context to render to